
#include <DHT11.h>

// Create an instance of the DHT11 class.
// - For Arduino: Connect the sensor to Digital I/O Pin 2.

DHT11 dht11(2);

void setup()
{

    Serial.begin(9600);
}

void loop()
{
    // Attempt to read the temperature value from the DHT11 sensor.
    int temperature = dht11.readTemperature();

    if (temperature != DHT11::ERROR_CHECKSUM && temperature != DHT11::ERROR_TIMEOUT)
    {
        Serial.print("Temperature: ");
        Serial.print(temperature);
        Serial.println(" °C");
    }
    else
    {
        Serial.println(DHT11::getErrorString(temperature));
    }

      digitalWrite(8, HIGH);  // turn the LED on (HIGH is the voltage level)
      delay(100);                      // wait for a second
      digitalWrite(8, LOW);   // turn the LED off by making the voltage LOW
    // Wait for 1 seconds before the next reading.
    delay(2000);
}
